
<div class="row row-head">
  <div class="col">
    <h2 class="title">Latest Games</h2>
  </div>
</div>

<div class="row">
  <div class="col">
    <div id="accordion">

      <div class="card" *ngFor="let item of games; let i = index">
        <a class="card-link" data-toggle="collapse" href="#game_{{item.id}}">
          <div class="card-header">
            {{item.userFullName}}
            &nbsp;&nbsp;&nbsp;
            <span class="text-dark">Total Questions: {{item.totalQuestions}}</span>
            |
            <span class="text-success">Correct Answers: {{item.correctAnswers}}</span>
            |
            <span class="text-danger">Wrong Answers: {{item.wrongAnswers}}</span>
          </div>
        </a>
          <div id="game_{{item.id}}" class="collapse {{(i==0?'show':'')}}" data-parent="#accordion">
            <div class="card-body">
              <blockquote *ngFor="let q of item.questions">
                <h4>{{q.text}}</h4>
                <p>
                  {{q.authorName}}
                </p>
                <p class="{{(q.isCorrect ? 'text-success' : 'text-danger')}}">
                  <b>User Answer: </b>
                  {{q.userAnswer}}
                </p>
              </blockquote>
            </div>
          </div>
      </div>

    </div>
  </div>
</div>

<div className="row" style="margin:36px 0">
  <div className="col">
    <ul class="pagination">
      <li *ngFor="let p of pages" class="page-item {{(currentPage == p ? 'active' : '')}}">
        <a class="page-link" href="javascript:;" (click)="goToPage(p)">{{p}}</a>
      </li>
    </ul>
  </div>
</div>
